Loading...
Searching...
No Matches
BALL::PairExpRDFIntegrator Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/pairExpRDFIntegrator.h>`

Inheritance diagram for BALL::PairExpRDFIntegrator:

## Classes

struct | Option
struct | Default

## Public Member Functions

Constructors and destructors
| PairExpRDFIntegrator ()
| PairExpRDFIntegrator (const PairExpRDFIntegrator &integrator)
| PairExpRDFIntegrator (double alpha, double C1, double C2, double R_ij_o, double k1, double k2, const RadialDistributionFunction &rdf)
virtual | ~PairExpRDFIntegrator ()
Assignment
const PairExpRDFIntegrator & | operator= (const PairExpRDFIntegrator &integrator)
virtual void | clear ()
Accessors
void | setConstants (double alpha, double C1, double C2, double R_ij_o, double k1, double k2)
void | getConstants (double &alpha, double &C1, double &C2, double &R_ij_o, double &k1, double &k2)
double | integrateToInf (double from) const
double | integrateToInf (double from, double alpha, double C1, double C2, double R_ij_o, double k1, double k2)
double | integrate (double from, double to) const
double | integrate (double from, double to, double alpha, double C1, double C2, double R_ij_o, double k1, double k2)
virtual double | operator() (double x) const
Public Member Functions inherited from BALL::RDFIntegrator
| RDFIntegrator ()
| RDFIntegrator (const RDFIntegrator &integrator)
| RDFIntegrator (const RadialDistributionFunction &rdf)
virtual | ~RDFIntegrator ()
const RDFIntegrator & | operator= (const RDFIntegrator &integrator)
bool | operator== (const RDFIntegrator &integrator) const
| Predicates.
virtual bool | isValid () const
void | setRDF (const RadialDistributionFunction &rdf)
| Accessors.
const RadialDistributionFunction & | getRDF () const

## Predicates

Options | options
bool | operator== (const PairExpRDFIntegrator &integrator) const

## Debugging and diagnostics

double | alpha_
double | C1_
double | C2_
double | R_ij_o_
double | k1_
double | k2_
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const

## Additional Inherited Members

RadialDistributionFunction | rdf_
bool | valid_

## Detailed Description

6-exp pair potential integrator. This class provides a tool for calculating the integral part of the van-der-Waals interaction energies. The difference to the values calculated with the standard interaction energy processor is the inclusion of a radial distribution function RadialDistributionFunction
into the computaion.

Definition at line 37 of file pairExpRDFIntegrator.h.

## Constructor & Destructor Documentation

## PairExpRDFIntegrator() [1/3]

BALL::PairExpRDFIntegrator::PairExpRDFIntegrator | ( |  | ) |

Default constructor

## PairExpRDFIntegrator() [2/3]

BALL::PairExpRDFIntegrator::PairExpRDFIntegrator | ( | const PairExpRDFIntegrator & | integrator | ) |

Copy constructor.

Parameters

  integrator | the integrator to copy construct from

## PairExpRDFIntegrator() [3/3]

BALL::PairExpRDFIntegrator::PairExpRDFIntegrator | ( | double | alpha,
|  | double | C1,
|  | double | C2,
|  | double | R_ij_o,
|  | double | k1,
|  | double | k2,
|  | const RadialDistributionFunction & | rdf )

Detailed constructor

Parameters

  alpha | potential constant
  C1 | potential constant
  C2 | potential constant
  R_ij_o | potential constant
  k1 | geometric correction constant
  k2 | geometric correction constant
  rdf | a radial distribution functin RadialDistributionFunction

## ~PairExpRDFIntegrator()

virtual BALL::PairExpRDFIntegrator::~PairExpRDFIntegrator | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::PairExpRDFIntegrator::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::RDFIntegrator.

## dump()

virtual void BALL::PairExpRDFIntegrator::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Dumps the whole content of the object

Parameters

  s | an ostream, defaults to std::cout
  depth | the indentation depth of the output

## getConstants()

void BALL::PairExpRDFIntegrator::getConstants | ( | double & | alpha,
|  | double & | C1,
|  | double & | C2,
|  | double & | R_ij_o,
|  | double & | k1,
|  | double & | k2 )

Get the potential and geometric correction constants of this instance of PairExpRDFIntegrator

Parameters

  alpha | potential constant (set by this function)
  C1 | potential constant (set by this function)
  C2 | potential constant (set by this function)
  R_ij_o | potential constant (set by this function)
  k1 | geometric correction constant (set by this function)
  k2 | geometric correction constant (set by this function)

## integrate() [1/2]

double BALL::PairExpRDFIntegrator::integrate | ( | double | from,
|  | double | to ) const

Integrate from from to to using previously assigned constants.

Parameters

  from | the lower limit
  to | the upper limit

Returns
  the value of the integration

## integrate() [2/2]

double BALL::PairExpRDFIntegrator::integrate | ( | double | from,
|  | double | to,
|  | double | alpha,
|  | double | C1,
|  | double | C2,
|  | double | R_ij_o,
|  | double | k1,
|  | double | k2 )

Integrate from from to to using the specified constants

Parameters

  from | the lower limit of integration
  to | the upper limit
  alpha | potential constant
  C1 | potential constant
  C2 | potential constant
  R_ij_o | potential constant
  k1 | geometric correction constant
  k2 | geometric correction constant

Returns
  the value of the integration

## integrateToInf() [1/2]

double BALL::PairExpRDFIntegrator::integrateToInf | ( | double | from | ) | const

Integrate to Infinity from from using previously set constants

Parameters

  from | the lower limit of integration

Returns
  the value of the integration

## integrateToInf() [2/2]

double BALL::PairExpRDFIntegrator::integrateToInf | ( | double | from,
|  | double | alpha,
|  | double | C1,
|  | double | C2,
|  | double | R_ij_o,
|  | double | k1,
|  | double | k2 )

Integrate from from to infinity using the specified constants

Parameters

  from | the lower limit of the integration
  alpha | potential constant
  C1 | potential constant
  C2 | potential constant
  R_ij_o | potential constant
  k1 | geometric correction constant
  k2 | geometric correction constant

Returns
  the value of the integral

## operator()()

virtual double BALL::PairExpRDFIntegrator::operator() | ( | double | x | ) | const

virtual

Default operation, integrate from x to infinity using previously assigned constants

Parameters

  x | the lower limit of the integration to infinity

Returns
  the value of the integration

Reimplemented from BALL::RDFIntegrator.

## operator=()

const PairExpRDFIntegrator & BALL::PairExpRDFIntegrator::operator= | ( | const PairExpRDFIntegrator & | integrator | ) |

Assignment operator

Parameters

  integrator | the integrator to assign from

Returns
  a const reference to this

## operator==()

bool BALL::PairExpRDFIntegrator::operator== | ( | const PairExpRDFIntegrator & | integrator | ) | const

Equality operator. Tests whether two instances of PairExpRDFIntegrator have the same content.

Parameters

  integrator | another instance of PairExpRDFIntegrator

Returns
  true, if both instances are equal

## setConstants()

void BALL::PairExpRDFIntegrator::setConstants | ( | double | alpha,
|  | double | C1,
|  | double | C2,
|  | double | R_ij_o,
|  | double | k1,
|  | double | k2 )

Set the potential and geometric correction constants of this instance of PairExpRDFIntegrator

Parameters

  alpha | potential constant
  C1 | potential constant
  C2 | potential constant
  R_ij_o | potential constant
  k1 | geometric correction constant
  k2 | geometric correction constant

## Member Data Documentation

## alpha_

double BALL::PairExpRDFIntegrator::alpha_

protected

Definition at line 233 of file pairExpRDFIntegrator.h.

## C1_

double BALL::PairExpRDFIntegrator::C1_

protected

Definition at line 237 of file pairExpRDFIntegrator.h.

## C2_

double BALL::PairExpRDFIntegrator::C2_

protected

Definition at line 241 of file pairExpRDFIntegrator.h.

## k1_

double BALL::PairExpRDFIntegrator::k1_

protected

Definition at line 249 of file pairExpRDFIntegrator.h.

## k2_

double BALL::PairExpRDFIntegrator::k2_

protected

Definition at line 253 of file pairExpRDFIntegrator.h.

## options

Options BALL::PairExpRDFIntegrator::options

Definition at line 215 of file pairExpRDFIntegrator.h.

## R_ij_o_

double BALL::PairExpRDFIntegrator::R_ij_o_

protected

Definition at line 245 of file pairExpRDFIntegrator.h.